#
# Conditional build:
%bcond_with	license_agreement	# generates package (requires Windows license)
#
%define		base_name		fonts-TTF-microsoft-tahoma
%define		_rel			6
Summary:	Microsoft Tahoma TrueType font
Summary(pl.UTF-8):	Font TrueType Tahoma firmy Microsoft
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	20020525
Release:	%{_rel}%{?with_license_agreement:wla}
# part of IE update - requires Windows license to use
License:	Windows EULA
Group:		Fonts
%if %{with license_agreement}
Source0:	http://download.microsoft.com/download/ie6sp1/finrel/6_sp1/W98NT42KMeXP/EN-US/IELPKTH.CAB
# NoSource0-md5: 358584cddb75ac90472c25f01b308ebe
NoSource:	0
BuildRequires:	cabextract
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
%else
Source1:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source1-md5:  329c25f457fea66ec502b7ef70cb9ede
Requires:	cabextract
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ttffontsdir	%{_fontsdir}/TTF

%description
Microsoft Tahoma TrueType font.

%description -l pl.UTF-8
Font TrueType Tahoma firmy Microsoft.

%prep
%if %{with license_agreement}
%setup -q -c -T
%{_bindir}/cabextract -L %{SOURCE0}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if !%{with license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@USE_DISTFILES@,no,g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
' %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT%{ttffontsdir}
install *.ttf $RPM_BUILD_ROOT%{ttffontsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with license_agreement}
%post
fontpostinst TTF

%postun
fontpostinst TTF

%else
%post
echo "
License issues made us not to include inherent files into this package
by default (You need Windows license). If you want to create full
working package please build it with the following command:

%{_bindir}/%{base_name}.install --with license_agreement %{_datadir}/%{base_name}/%{base_name}.spec
"
%endif

%files
%defattr(644,root,root,755)
%if %{with license_agreement}
%{ttffontsdir}/*
%else
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%endif
%changelog
* Thu Mar 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-TTF-microsoft-tahoma-installer.git;a=log;h=master

* Thu Mar 19 2020 Jan Rękorajski <baggins@pld-linux.org> 5694b28
- release 6 (by relup.sh)

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> 622cf5a
- use rpmbuild(macros) virtual, not direct package name

* Sun Apr 04 2010 pawelz <pawelz@pld-linux.org> 9e1b89f
- license-installer.sh updatet to r11289
- rel 5

* Sat Dec 26 2009 pawelz <pawelz@pld-linux.org> db6edc9
- updated to new CVS layout
- switch to license-installer.sh from SVN/DistFiles
- R: rpm-build-tools >= 4.4.35 (due to new CVS layout)
- parse @DATADIR@ macro from from new license-installer.sh
- rel 4

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> bff50e9
- s/True Type/TrueType/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4788b0a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0c72036
- converted to UTF-8

* Mon Nov 13 2006 sparky <sparky@pld-linux.org> 0bae8f7
- don't use %{without ...}, it may not work after inverting bcond

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 03f2fcf
- rel 3

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> ed7d13f
- wget required by rpm-build-tools
- cleanups

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 68f92c8
- support for disabling distfiles

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 4778517
- use temp dir for rpm topdir avoiding overwriting any file

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 73da56f
- fix target option (#5783)

* Mon Jan 02 2006 Elan Ruusamäe <glen@pld-linux.org> 498ed5b
- run script in %post

* Sun Nov 27 2005 Elan Ruusamäe <glen@pld-linux.org> 13f8bdd
- changes from 2005-09-06 (don't remember what for anymore)

* Mon Aug 29 2005 Elan Ruusamäe <glen@pld-linux.org> 5604ea8
- unneeded BACKUP=1 removed

* Sun Aug 28 2005 Elan Ruusamäe <glen@pld-linux.org> 0129404
- fix for installing from local src.rpm

* Sun Aug 28 2005 Elan Ruusamäe <glen@pld-linux.org> 25e600a
- add @COPYSOURCES@ for adobe install

* Sun Aug 28 2005 Elan Ruusamäe <glen@pld-linux.org> 5cb78f9
- use shared license-installer.sh script from SOURCES
- includes copy-pasto fixes, like using inexistent Microsot-EULA.txt
- rel 2

* Sun Aug 28 2005 Elan Ruusamäe <glen@pld-linux.org> 45e260d
- @LICENSE@ expansions for fonts-microsoft packages

